/* TableStyleLight10.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleLight10
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleLight10 extends TableStyleImpl {
	private TableStyleLight10() {
		super(
				"TableStyleLight10",//name,
				L10_Whole_Table, 	//wholeTable,
				L10_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				L10_Col_Stripe2, 	//colStripe2,
				1, 					//colStripe2Size,
				L10_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				L10_Row_Stripe2,		//rowStripe2,
				1, 					//rowStripe2Size,
				L10_Last_Col, 	//lastCol,
				L10_First_Col,	//firstCol,
				L10_Header_Row,	//headerRow,
				L10_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	private static final BorderLineImpl L10_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "C0504D");
	private static final STableStyleElem L10_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				null,	//fill
				new BorderImpl(
						L10_Border_Line, //left 
						null, //top 
						null, //right
						null, //bottom
						null, //diagonal
						null, //vertical
						null  //horizontal
				)
			);
	private static final STableStyleElem L10_Col_Stripe2 =
			L10_Col_Stripe1;
	private static final STableStyleElem L10_Row_Stripe1 =
			new TableStyleElemImpl(
				null,	//font
				null,	//fill
				new BorderImpl(
						null, //left 
						L10_Border_Line, //top 
						null, //right
						null, //bottom
						null, //diagonal
						null, //vertical
						null  //horizontal
				)
			);
	private static final STableStyleElem L10_Row_Stripe2 =
			L10_Row_Stripe1;
	private static final STableStyleElem L10_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null,	//fill
				null //border
			);
	private static final STableStyleElem L10_First_Col =
			L10_Last_Col;
	private static final STableStyleElem L10_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "C0504D"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem L10_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "C0504D", "C0504D"),//fill //ZSS-1162
					null //border
			);
	private static final STableStyleElem L10_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,		//fill
					new BorderImpl(
							L10_Border_Line, //left 
							L10_Border_Line, //top 
							L10_Border_Line, //right
							L10_Border_Line, //bottom
							null, //diagonal
							null, //vertical
							null 	//horizontal
					)
			);

	public static final TableStyleLight10 instance = new TableStyleLight10();
}
